package com.yihu.wlyy.entity.statistics;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 医生咨询量统计表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_statistics_consult")
public class DoctorStatisticsConsult extends IdEntity {
	private static final long serialVersionUID = 5226765714197688045L;

	// 医生标识
	private String doctor;
	// 日期
	private Integer date;
	// 指定咨询/三师咨询总数
	private Integer typeTeam;
	// 视频咨询总数
	private Integer typeMovi;
	// 指定咨询/三师咨询咨询总人数
	private Integer usersTema;
	// 视频咨询总人数
	private Integer usersMovi;

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public Integer getDate() {
		return date;
	}

	public void setDate(Integer date) {
		this.date = date;
	}

	@Column(name = "type_team")
	public Integer getTypeTeam() {
		return typeTeam;
	}

	public void setTypeTeam(Integer typeTeam) {
		this.typeTeam = typeTeam;
	}

	@Column(name = "type_movi")
	public Integer getTypeMovi() {
		return typeMovi;
	}

	public void setTypeMovi(Integer typeMovi) {
		this.typeMovi = typeMovi;
	}

	@Column(name = "users_team")
	public Integer getUsersTema() {
		return usersTema;
	}

	public void setUsersTema(Integer usersTema) {
		this.usersTema = usersTema;
	}

	@Column(name = "users_movi")
	public Integer getUsersMovi() {
		return usersMovi;
	}

	public void setUsersMovi(Integer usersMovi) {
		this.usersMovi = usersMovi;
	}

}
